List Purchase Orders
curl --request GET \
--url https://api.decodahealth.com/inventory/purchase-orders/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/purchase-orders/list"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/purchase-orders/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"supplierId": "<string>",
"id": "<string>",
"status": "PENDING",
"issueDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"supplier": {
"name": "<string>",
"description": "<string>",
"website": "<string>",
"email": "<string>",
"preferredContactMethod": "<string>",
"phoneNumber": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"shipmentTime": 123,
"isArchived": false,
"defaultNotes": [
{
"content": "<string>",
"id": "<string>",
"supplierId": "<string>",
"name": "<string>"
}
],
"id": "<string>"
},
"lineItems": [
{
"supplierToStockUomId": "<string>",
"locationId": "<string>",
"quantity": 123,
"id": "<string>",
"purchaseOrderId": "<string>",
"quantityReceived": 1,
"supplierToStockUom": {
"supplierPartNumber": "<string>",
"id": "<string>",
"supplierToStockId": "<string>",
"supplierToStock": {
"supplierId": "<string>",
"stockId": "<string>",
"id": "<string>",
"stock": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"notes": "<string>",
"category": "<string>",
"minStockLevel": 123,
"isArchived": false
}
},
"conversionFactor": 1,
"isDefault": false,
"displayLabel": "<string>",
"price": 123,
"leadTime": 1,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false
},
"location": {
"id": "<string>",
"name": "<string>",
"isVirtual": true
},
"cost": 1,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"notes": [
{
"content": "<string>",
"id": "<string>",
"purchaseOrderId": "<string>",
"name": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false,
"leadTimeDays": 123
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
List Purchase Orders
List purchase orders with optional filtering.
GET
/
inventory
/
purchase-orders
/
list
List Purchase Orders
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Available options:
asc, desc Optional list of IDs of the purchase orders
Optional ID of the supplier
Optional status of the purchase order The status of a purchase order.
Available options:
PENDING, PLACED, COMPLETED, CANCELLED Optional archived status of the purchase order
⌘I
